0

Trying my instance of Magento on PHP 5.6 because my host is upgrading the server and everything seems to work well besides from this error message.

Deprecated functionality: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /public_html/lib/Zend/Filter/PregReplace.php on line 171

Has anyone successfully patched this file?

  • There is no and never was a /e modifier in this file, so why would you want to patch it? – mam08ixo Jan 20 '16 at 14:58
  • I believe your correct its not in that file itself, but I believe extensions call this function and pass values to it – Goose84 Jan 20 '16 at 14:59
  • 1
    Exactly, so you need to trace the pattern origin and either fix it yourself or ask the extension vendor for an update that supports PHP 5.6. – mam08ixo Jan 20 '16 at 15:03
  • By the way, the /e modifier is deprecated since PHP 5.5.0, see function.preg-replace. – mam08ixo Jan 20 '16 at 15:13

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.